clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
MiscTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "DefinitionsInHeadersCheck.h"`
`#include "ForwardingReferenceOverloadCheck.h"`
`#include "IncorrectRoundings.h"`
`#include "LambdaFunctionNameCheck.h"`
`#include "MacroParenthesesCheck.h"`
`#include "MacroRepeatedSideEffectsCheck.h"`
`#include "MisplacedConstCheck.h"`
`#include "MisplacedWideningCastCheck.h"`
`#include "NewDeleteOverloadsCheck.h"`
`#include "NonCopyableObjects.h"`
`#include "RedundantExpressionCheck.h"`
`#include "SizeofContainerCheck.h"`
`#include "SizeofExpressionCheck.h"`
`#include "StaticAssertCheck.h"`
`#include "StringCompareCheck.h"`
`#include "StringIntegerAssignmentCheck.h"`
`#include "StringLiteralWithEmbeddedNulCheck.h"`
`#include "SuspiciousEnumUsageCheck.h"`
`#include "SuspiciousMissingCommaCheck.h"`
`#include "SuspiciousSemicolonCheck.h"`
`#include "SuspiciousStringCompareCheck.h"`
`#include "SwappedArgumentsCheck.h"`
`#include "ThrowByValueCatchByReferenceCheck.h"`
`#include "UnconventionalAssignOperatorCheck.h"`
`#include "UndelegatedConstructor.h"`
`#include "UniqueptrResetReleaseCheck.h"`
`#include "UnusedAliasDeclsCheck.h"`
`#include "UnusedParametersCheck.h"`
`#include "UnusedRAIICheck.h"`
`#include "UnusedUsingDeclsCheck.h"`
Include dependency graph for MiscTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::misc::MiscModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static ClangTidyModuleRegistry::Add< misc::MiscModule > | clang::tidy::X ("misc-module", "Adds miscellaneous lint checks.")

## Variables
volatile int | clang::tidy::MiscModuleAnchorSource = 0